package org.hornetq.javaee.example.server;

public class Ejb2Test1Util
{

   private static Object lookupHome(java.util.Hashtable environment, String jndiName, Class narrowTo) throws javax.naming.NamingException {
      // Obtain initial context
      javax.naming.InitialContext initialContext = new javax.naming.InitialContext(environment);
      try {
          System.out.println("Looking up JNDI name: " + jndiName);
         Object objRef = initialContext.lookup(jndiName);
         // only narrow if necessary
         if (java.rmi.Remote.class.isAssignableFrom(narrowTo))
            return javax.rmi.PortableRemoteObject.narrow(objRef, narrowTo);
         else
            return objRef;
      } finally {
         initialContext.close();
      }
   }

   // Home interface lookup methods

   /**
    * Obtain remote home interface from default initial context
    * @return Home interface for Ejb2Test. Lookup using COMP_NAME
    */
   public static Ejb2Test1Home getHome() throws javax.naming.NamingException
   {
         return (Ejb2Test1Home) lookupHome(null, Ejb2Test1Home.COMP_NAME, Ejb2Test1Home.class);
   }

   /**
    * Obtain remote home interface from parameterised initial context
    * @param environment Parameters to use for creating initial context
    * @return Home interface for Ejb2Test. Lookup using COMP_NAME
    */
   public static Ejb2Test1Home getHome( java.util.Hashtable environment ) throws javax.naming.NamingException
   {
       return (Ejb2Test1Home) lookupHome(environment, Ejb2Test1Home.COMP_NAME, Ejb2Test1Home.class);
   }

   /**
    * Obtain local home interface from default initial context
    * @return Local home interface for Ejb2Test. Lookup using COMP_NAME
    */
   public static Ejb2Test1LocalHome getLocalHome() throws javax.naming.NamingException
   {
      return (Ejb2Test1LocalHome) lookupHome(null, Ejb2Test1LocalHome.COMP_NAME, Ejb2Test1LocalHome.class);
   }

}

